Bug 524015 - Monitoring paths are not updated after upgrade
Summary: Monitoring paths are not updated after upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades
Version: 530
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Dimitar Yordanov
URL:
Whiteboard:
Depends On:
Blocks: sat550-lowbug
TreeView+ depends on / blocked
 
Reported: 2009-09-17 15:31 UTC by Miroslav Suchý
Modified: 2012-09-21 09:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-21 09:35:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Miroslav Suchý 2009-09-17 15:31:44 UTC
Description of problem:
I upgraded from sat520 to sat530 and started to recieve such emails:
Subject:	Cron <nocpulse@sputnik-stage> if [ -e /etc/NOCpulse.ini ] ; then /usr/bin/monitor-queue ALERTS 50 100 2>&1 > /dev/null; fi
Undefined subroutine &main::bailout called at /usr/bin/monitor-queue line 35.
When i fixed the wrong call of &bailout i get:
 unable to find queue directory /opt/notification/queue/alert_queue
Whereas the new path should be /var/lib/notification/queue/alert_queue
It is correctly upgraded in db, but not in /etc/NOCpulse.ini
This will happen if you enabled monitoring (this will load values from db and store to /etc/NOCpulse.ini), disable (will stop update of this file during satellite restart), then you will upgrade and not enable monitoring. Then you will have correct values in db, but old values in config file.

To delete file /etc/NOCpulse.ini during upgrade of satellite should be enough.

Version-Release number of selected component (if applicable):
sat530

How reproducible:
done twice

Steps to Reproduce:
1. install sat520
2. enable monitoring  and restart satellite
3. disable monitorin and restart satellite
4. upgrade to sat530
5. wait for cron or manualy run 
  if [ -e /etc/NOCpulse.ini ] ; then /usr/bin/monitor-queue ALERTS 50 100 2
  fi

Actual results:
Errors

Expected results:
No erros

Additional info:

Comment 2 Milan Zázrivec 2012-08-06 12:00:35 UTC
Satellite installer will automatically delete /etc/NOCpulse.ini during upgrade:

satellite.git SATELLITE-5.5: fcfc3079592ee90685205af472147255c6cdd64a

Comment 4 Clifford Perry 2012-09-21 09:35:25 UTC
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite


Note You need to log in before you can comment on or make changes to this bug.